<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page import="org.wso2.carbon.registry.ui.relations.clients.RelationServiceClient" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.registry.ui.relations.beans.xsd.DependenciesBean" %>
<%@ page import="org.wso2.carbon.registry.ui.relations.core.xsd.Association" %>

<script type="text/javascript" src="../registry_common/js/registry_validation.js"></script>
<script type="text/javascript" src="../registry_common/js/registry_common.js"></script>
<script type="text/javascript" src="js/prototype.js"></script>
<script type="text/javascript" src="js/relations.js"></script>

<%
    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
    RelationServiceClient client = new RelationServiceClient(cookie, config, session);
    DependenciesBean bean;
    try {
        bean = client.getDependencies(request);
    } catch (Exception e) {
        return;
    }

    String type = request.getParameter("type");
    String source = request.getParameter("path");
    String destination = request.getParameter("destination");
    
    Association[] assocs = bean.getAssociations();

    if (assocs != null) {
        for (Association assoc: assocs) {
            if ((source == null || source.equals(assoc.getSourcePath())) &&
                    (destination == null || destination.equals(assoc.getDestinationPath())) &&
                    (type == null || type.equals(assoc.getAssociationType()))) {
                %>----AssocationExists----<%
                return;
            }
        }
    }
%>